#pragma once
#include "Entity.h"
//ÕÂÓãÅ×ÉäÎï
class CS_Enemy_OctopusBlade :
    public ActionEntity
{
public:
    CS_Enemy_OctopusBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void Feedback(std::weak_ptr<Entity> target) override;
    void Collision() override;//Ö´ÐÐÅö×²
    void SetCbRect_Entity();
    void SetCbRect_Collision();
    bool bDisappear = false;
};

void SetCS_Enemy_OctopusBlade(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);